Package com.mapd.thrift.server

## Class MapD

- java.lang.Object
- - com.mapd.thrift.server.MapD

    public class MapD
    extends Object

### Nested Class Summary

Nested Classes
`static class` `MapD.AsyncClient`
`static interface` `MapD.AsyncIface`
`static class` `MapD.AsyncProcessor<I extends MapD.AsyncIface>`
`static class` `MapD.broadcast_serialized_rows_args`
`static class` `MapD.broadcast_serialized_rows_result`
`static class` `MapD.check_table_consistency_args`
`static class` `MapD.check_table_consistency_result`
`static class` `MapD.checkpoint_args`
`static class` `MapD.checkpoint_result`
`static class` `MapD.clear_cpu_memory_args`
`static class` `MapD.clear_cpu_memory_result`
`static class` `MapD.clear_gpu_memory_args`
`static class` `MapD.clear_gpu_memory_result`
`static class` `MapD.Client`
`static class` `MapD.connect_args`
`static class` `MapD.connect_result`
`static class` `MapD.create_dashboard_args`
`static class` `MapD.create_dashboard_result`
`static class` `MapD.create_frontend_view_args`
`static class` `MapD.create_frontend_view_result`
`static class` `MapD.create_link_args`
`static class` `MapD.create_link_result`
`static class` `MapD.create_table_args`
`static class` `MapD.create_table_result`
`static class` `MapD.deallocate_df_args`
`static class` `MapD.deallocate_df_result`
`static class` `MapD.delete_dashboard_args`
`static class` `MapD.delete_dashboard_result`
`static class` `MapD.delete_frontend_view_args`
`static class` `MapD.delete_frontend_view_result`
`static class` `MapD.detect_column_types_args`
`static class` `MapD.detect_column_types_result`
`static class` `MapD.disconnect_args`
`static class` `MapD.disconnect_result`
`static class` `MapD.execute_first_step_args`
`static class` `MapD.execute_first_step_result`
`static class` `MapD.execute_next_render_step_args`
`static class` `MapD.execute_next_render_step_result`
`static class` `MapD.get_all_files_in_archive_args`
`static class` `MapD.get_all_files_in_archive_result`
`static class` `MapD.get_all_roles_for_user_args`
`static class` `MapD.get_all_roles_for_user_result`
`static class` `MapD.get_completion_hints_args`
`static class` `MapD.get_completion_hints_result`
`static class` `MapD.get_dashboard_args`
`static class` `MapD.get_dashboard_grantees_args`
`static class` `MapD.get_dashboard_grantees_result`
`static class` `MapD.get_dashboard_result`
`static class` `MapD.get_dashboards_args`
`static class` `MapD.get_dashboards_result`
`static class` `MapD.get_databases_args`
`static class` `MapD.get_databases_result`
`static class` `MapD.get_db_object_privs_args`
`static class` `MapD.get_db_object_privs_result`
`static class` `MapD.get_db_objects_for_grantee_args`
`static class` `MapD.get_db_objects_for_grantee_result`
`static class` `MapD.get_device_parameters_args`
`static class` `MapD.get_device_parameters_result`
`static class` `MapD.get_first_geo_file_in_archive_args`
`static class` `MapD.get_first_geo_file_in_archive_result`
`static class` `MapD.get_frontend_view_args`
`static class` `MapD.get_frontend_view_result`
`static class` `MapD.get_frontend_views_args`
`static class` `MapD.get_frontend_views_result`
`static class` `MapD.get_hardware_info_args`
`static class` `MapD.get_hardware_info_result`
`static class` `MapD.get_heap_profile_args`
`static class` `MapD.get_heap_profile_result`
`static class` `MapD.get_internal_table_details_args`
`static class` `MapD.get_internal_table_details_result`
`static class` `MapD.get_layers_in_geo_file_args`
`static class` `MapD.get_layers_in_geo_file_result`
`static class` `MapD.get_license_claims_args`
`static class` `MapD.get_license_claims_result`
`static class` `MapD.get_link_view_args`
`static class` `MapD.get_link_view_result`
`static class` `MapD.get_memory_args`
`static class` `MapD.get_memory_result`
`static class` `MapD.get_physical_tables_args`
`static class` `MapD.get_physical_tables_result`
`static class` `MapD.get_result_row_for_pixel_args`
`static class` `MapD.get_result_row_for_pixel_result`
`static class` `MapD.get_roles_args`
`static class` `MapD.get_roles_result`
`static class` `MapD.get_row_descriptor_args`
`static class` `MapD.get_row_descriptor_result`
`static class` `MapD.get_server_status_args`
`static class` `MapD.get_server_status_result`
`static class` `MapD.get_session_info_args`
`static class` `MapD.get_session_info_result`
`static class` `MapD.get_status_args`
`static class` `MapD.get_status_result`
`static class` `MapD.get_table_descriptor_args`
`static class` `MapD.get_table_descriptor_result`
`static class` `MapD.get_table_details_args`
`static class` `MapD.get_table_details_result`
`static class` `MapD.get_table_epoch_args`
`static class` `MapD.get_table_epoch_by_name_args`
`static class` `MapD.get_table_epoch_by_name_result`
`static class` `MapD.get_table_epoch_result`
`static class` `MapD.get_tables_args`
`static class` `MapD.get_tables_meta_args`
`static class` `MapD.get_tables_meta_result`
`static class` `MapD.get_tables_result`
`static class` `MapD.get_users_args`
`static class` `MapD.get_users_result`
`static class` `MapD.get_version_args`
`static class` `MapD.get_version_result`
`static class` `MapD.get_views_args`
`static class` `MapD.get_views_result`
`static class` `MapD.has_object_privilege_args`
`static class` `MapD.has_object_privilege_result`
`static interface` `MapD.Iface`
`static class` `MapD.import_geo_table_args`
`static class` `MapD.import_geo_table_result`
`static class` `MapD.import_table_args`
`static class` `MapD.import_table_result`
`static class` `MapD.import_table_status_args`
`static class` `MapD.import_table_status_result`
`static class` `MapD.insert_data_args`
`static class` `MapD.insert_data_result`
`static class` `MapD.interrupt_args`
`static class` `MapD.interrupt_result`
`static class` `MapD.load_table_args`
`static class` `MapD.load_table_binary_args`
`static class` `MapD.load_table_binary_arrow_args`
`static class` `MapD.load_table_binary_arrow_result`
`static class` `MapD.load_table_binary_columnar_args`
`static class` `MapD.load_table_binary_columnar_result`
`static class` `MapD.load_table_binary_result`
`static class` `MapD.load_table_result`
`static class` `MapD.Processor<I extends MapD.Iface>`
`static class` `MapD.register_runtime_udf_args`
`static class` `MapD.register_runtime_udf_result`
`static class` `MapD.render_vega_args`
`static class` `MapD.render_vega_result`
`static class` `MapD.replace_dashboard_args`
`static class` `MapD.replace_dashboard_result`
`static class` `MapD.set_execution_mode_args`
`static class` `MapD.set_execution_mode_result`
`static class` `MapD.set_license_key_args`
`static class` `MapD.set_license_key_result`
`static class` `MapD.set_table_epoch_args`
`static class` `MapD.set_table_epoch_by_name_args`
`static class` `MapD.set_table_epoch_by_name_result`
`static class` `MapD.set_table_epoch_result`
`static class` `MapD.share_dashboard_args`
`static class` `MapD.share_dashboard_result`
`static class` `MapD.sql_execute_args`
`static class` `MapD.sql_execute_df_args`
`static class` `MapD.sql_execute_df_result`
`static class` `MapD.sql_execute_gdf_args`
`static class` `MapD.sql_execute_gdf_result`
`static class` `MapD.sql_execute_result`
`static class` `MapD.sql_validate_args`
`static class` `MapD.sql_validate_result`
`static class` `MapD.start_heap_profile_args`
`static class` `MapD.start_heap_profile_result`
`static class` `MapD.start_query_args`
`static class` `MapD.start_query_result`
`static class` `MapD.start_render_query_args`
`static class` `MapD.start_render_query_result`
`static class` `MapD.stop_heap_profile_args`
`static class` `MapD.stop_heap_profile_result`
`static class` `MapD.switch_database_args`
`static class` `MapD.switch_database_result`
`static class` `MapD.unshare_dashboard_args`
`static class` `MapD.unshare_dashboard_result`

### Constructor Summary

Constructors
`MapD()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapD

    public MapD()